Page MenuHomePhabricator

[Hexagon] Handle cases for subregisters.
ClosedPublic

Authored by bcain on Apr 28 2020, 7:36 AM.

Details

Reviewers
ssarda
kparzysz
Summary

While restoring latency, check if any of the registers of source instruction is a subregister of the successor instructions apart from being same register.

Diff Detail

Event Timeline

bcain created this revision.Apr 28 2020, 7:36 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 28 2020, 7:36 AM
Herald added a subscriber: hiraditya. · View Herald Transcript
bcain updated this revision to Diff 260637.Apr 28 2020, 7:57 AM

add -march=hexagon to test case

kparzysz accepted this revision.Apr 29 2020, 11:27 AM
This revision is now accepted and ready to land.Apr 29 2020, 11:27 AM
bcain updated this revision to Diff 261270.Apr 30 2020, 9:51 AM

simplified test case

bcain closed this revision.Wed, Jun 3, 7:56 AM